Sso Domain

The sso domain resource.

Basehttps://rest.carbon.ms/ssoDomain
GET/ssoDomain

List sso domains

Retrieve a paginated list of sso domains. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/ssoDomain
curl --request GET \
  --url 'https://rest.carbon.ms/ssoDomain?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "connectionId": "xyz789",
    "domain": "string",
    "verificationToken": "string",
    "status": "string",
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z"
  }
]
GET/ssoDomain

Retrieve a sso domain

Fetch a single sso domain by filtering on `id`.

Query parameters

idstring

Match on the sso domain's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/ssoDomain
curl --request GET \
  --url 'https://rest.carbon.ms/ssoDomain?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "connectionId": "xyz789",
  "domain": "string",
  "verificationToken": "string",
  "status": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z"
}
POST/ssoDomain

Create a sso domain

Create a new sso domain.

Body parameters

connectionIdstringrequired
domainstringrequired
verificationTokenstringrequired
statusssoDomainStatusrequired
verifiedAttimestamp
POSThttps://rest.carbon.ms/ssoDomain
curl --request POST \
  --url https://rest.carbon.ms/ssoDomain \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"connectionId":"xyz789","domain":"string","verificationToken":"string","status":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "connectionId": "xyz789",
  "domain": "string",
  "verificationToken": "string",
  "status": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z"
}
PATCH/ssoDomain

Update a sso domain

Update an existing sso domain, matched on `id`.

Body parameters

connectionIdstringrequired
domainstringrequired
verificationTokenstringrequired
statusssoDomainStatusrequired
verifiedAttimestamp
PATCHhttps://rest.carbon.ms/ssoDomain
curl --request PATCH \
  --url 'https://rest.carbon.ms/ssoDomain?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"connectionId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "connectionId": "xyz789",
  "domain": "string",
  "verificationToken": "string",
  "status": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z"
}
DELETE/ssoDomain

Delete a sso domain

Delete a sso domain, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the sso domain to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/ssoDomain
curl --request DELETE \
  --url 'https://rest.carbon.ms/ssoDomain?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content